<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">

<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->
<body id="body-register">
<!-- Fixed navbar -->
<div th:replace="fragments/header-ejecutivo :: header"></div> <!--Carga el fragmento header-->
<div class="container">
    <div class="register-container">
        <div id="output"></div>
        <div class="form-box well">
            <h3>Ingresar servicio para el vehículo</h3>

            <h4 th:text="${vehiculo.getMarca()}"></h4>
            <h4 th:text="${vehiculo.getModelo()}"> </h4>
            <h4 th:text="${vehiculo.getAnio()}"> </h4>
            <h4 th:text="${vehiculo.getPatente()}"> </h4>
            <br> </br>
            <form class="form" id="user-form">
                <!--Muestra un formulario con los datos a completar para ingresar un cliente-->

                <div class="form-group" style="width:49%; float:right;">
                    <label for="datepicker">Fecha:</label>
                    <input id="datepicker" name="datepicker" placeholder="Ingrese Fecha" class="form-control input-md"
                           required=""
                           title="Ingrese fecha"/>
                </div>

                <div class="form-group" style="width:44%; float:right;">
                    <label for="servicios">Servicios:</label>

                    <select name="servicios" id="servicios" class="form-control" required="">
                        <option th:each="servicio: ${servicios}"
                                th:value="${servicio.getIdServicio()}"
                                th:text="${servicio.getDetalle()}+' - $'+${servicio.getPrecio()}"></option>
                    </select>

                </div>

                <div class="form-group" style="width:49%; float:right;">
                    <label for="detalle">Detalle:</label>
                    <input id="detalle" name="detalle" placeholder="Ingrese Detalle" class="form-control input-md"
                           required=""
                           title="Ingrese detalle"/>
                </div>

                <div class="form-group" style="width:44%; float:right;">
                    <label for="admins">Administrativo:</label>

                    <select name="admins" id="admins" class="form-control" required="">
                        <option th:each="admin: ${admins}"
                                th:value="${admin.getAdAdministrativo()}"
                                th:text="${admin.getRut()}+' '+${admin.getNombre()}+' '+${admin.getApellido()}"></option>
                    </select>
                </div>

                <button class="btn btn-info register glyphicon glyphicon-pencil" type="submit"> Ingresar</button>
            </form>
        </div>
    </div>
</div>

<div th:replace="fragments/footer ::footer"></div> <!--Carga el fragmento footer-->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>


<script>
    $(document).ready(function () {


        $("#user-form").submit(function (e) {
            <!--Captura los datos del formulario-->
            var datos = {
                fecha: new Date($("input[name=datepicker]").val()),
                detalle: $("input[name=detalle]").val(),
                idAdministrativo: Number($("select[name=admins]").val()),
                idVehiculo: "[[${vehiculo.getIdVehiculo()}]]",
                idCliente: "[[${vehiculo.getIdCliente()}]]",
                idServicio: Number($("select[name=servicios]").val()),
                visible: true
            };
            <!--Envía los datos capturados al URL /ficha/crear-->

            $.ajax({
                type: "POST",
                contentType: 'application/json',
                url: "http://localhost:8080/ficha/crear",
                dataType: 'json',
                data: JSON.stringify(datos), // Adjunta los datos
            }).done(function (message) {
                var id = "[[${vehiculo.getIdVehiculo()}]]";
                location.href = "http://localhost:8080/ficha/vehiculo/"+id;
            }).fail(function (e) {
                console.log("error " + e);
            });
            return false;
        });

    });



</script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<link rel="stylesheet" href="/resources/demos/style.css">
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script>
    $( function() {
        $( "#datepicker" ).datepicker();
    } );
</script>
</body>

</html>